summaryrefslogtreecommitdiffstats
path: root/prototypes/bifrost/scripts/destroy_env.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-08-18 16:49:18 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-08-18 16:49:18 +0000
commit0f7c6ec50c15197d2d040aa1ea5ef18cde0fc4e7 (patch)
treea017dc7325decd9345e66011d9248b95803f0420 /prototypes/bifrost/scripts/destroy_env.sh
parent728a635ed2163a79f02406d77fba6ab26ebe9786 (diff)
parent4a82d2065157e8ae901eea13883a72bfd5313472 (diff)
Merge "Add initial playbooks and scripts for bifrost POCS"
Diffstat (limited to 'prototypes/bifrost/scripts/destroy_env.sh')
-rw-r--r--prototypes/bifrost/scripts/destroy_env.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/prototypes/bifrost/scripts/destroy_env.sh b/prototypes/bifrost/scripts/destroy_env.sh
new file mode 100644
index 000000000..aef4ccba3
--- /dev/null
+++ b/prototypes/bifrost/scripts/destroy_env.sh
@@ -0,0 +1,38 @@
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 RedHat and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+#!/bin/bash
+virsh destroy jumphost.opnfvlocal || true
+virsh destroy controller00.opnfvlocal || true
+virsh destroy compute00.opnfvlocal || true
+virsh undefine jumphost.opnfvlocal || true
+virsh undefine controller00.opnfvlocal || true
+virsh undefine compute00.opnfvlocal || true
+
+service ironic-conductor stop
+
+echo "removing from database"
+mysql -u root ironic --execute "truncate table ports;"
+mysql -u root ironic --execute "delete from node_tags;"
+mysql -u root ironic --execute "delete from nodes;"
+mysql -u root ironic --execute "delete from conductors;"
+echo "removing leases"
+> /var/lib/dnsmasq/dnsmasq.leases
+echo "removing logs"
+rm -rf /var/log/libvirt/baremetal_logs/*.log
+
+# clean up images
+rm -rf /httpboot/*
+rm -rf /tftpboot/*
+rm -rf /var/lib/libvirt/images/*.qcow2
+
+echo "restarting services"
+service libvirtd restart
+service ironic-api restart
+service ironic-conductor start
+service ironic-inspector restart